2

Development: API/ABI Freeze for 2.29 starting Monday January 18th, 23:59 UTC

view story
linux-howto

http://permalink.gmane.org – Hi, very soon API/ABI Freeze for GNOME 2.29 will start. After this, no API or ABI changes should be made in the platform libraries. For instance, no new functions, no changed function signatures or struct fields. This provides a stable development platform for the rest of the schedule. There should usually be a "Slushy" API/ABI Freeze before the Hard API/ABI Freeze, to encourage developers to think about API problems while they have a chance to correct them. API freeze is not required for non-platform libraries, but is recommended. For more information about 2.29, the full schedule, the official module lists and the proposed module lists, please see our colorful 2.29 page: http://www.gnome.org/start/unstable For a quick overview of the GNOME schedule, please see: http://live.gnome.org/Schedule Thanks, the Release Team (Software)